apiVersion: v1
kind: Service
metadata:
  annotations:
    external-dns.alpha.kubernetes.io/hostname: puppet.k8s.syd1.au.unkin.net
    external-dns.alpha.kubernetes.io/target: 198.18.200.3
    purelb.io/addresses: 198.18.200.3
    purelb.io/service-group: common
  labels:
    app.kubernetes.io/component: puppetserver-compilers
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppet
  namespace: puppet
spec:
  ports:
  - name: puppetserver
    port: 8140
  selector:
    app.kubernetes.io/component: puppetserver-compilers
    app.kubernetes.io/name: puppetserver
  type: LoadBalancer
